// JavaScript Document

$(function(){
	$('#form_enquete').submit(function(){
		var cookie = $.cookie("enquete_php");
		if (cookie==null)
		{
			var opcao = $("input[name='opcao']:checked").length;
			if (opcao>0)
			{
				$('#enquete').fadeOut().before('<div class="resultado-enquete"><h2>Resultado parcial da enquete</h2></div>');
				$('.resultado-enquete').fadeIn();
				$.post("grava-enquete.php", $(this).serialize(), function(retorno){
					var total_votos = parseInt(retorno.op01_n) + parseInt(retorno.op02_n) + parseInt(retorno.op03_n);
					
					var porcento1 = Math.round(retorno.op01_n / total_votos * 100);
					var porcento2 = Math.round(retorno.op02_n / total_votos * 100);
					var porcento3 = Math.round(retorno.op03_n / total_votos * 100);
						
					var resultado = '<div><p>' + retorno.op01 + ' - ' + porcento1 +'%</p></div>';
					resultado += '<div><p>' + retorno.op02 + ' - ' + porcento2 +'%</p></div>';
					resultado += '<div><p>' + retorno.op03 + ' - ' + porcento3 +'%</p></div>';
						
					$('.resultado-enquete').append(resultado);
					 
					$('.resultado-enquete div').eq(0).animate({width: retorno.op01_n +"px"}, 'slow'); 
					$('.resultado-enquete div').eq(1).animate({width: retorno.op02_n +"px"}, 'slow'); 
					$('.resultado-enquete div').eq(2).animate({width: retorno.op03_n +"px"}, 'slow'); 						
					
					$('.resultado-enquete').append("<p>Total de votos: " + total_votos + "</p>");					
					
				}, "json")
			} else {
				alert("Voc precisa escolher uma das opes.");
			}
		} else {
			alert("Voc j votou nesta enquete hoje.");
		}
	return false;		
	})
})